Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid.quadrilateral
Interface RectifiableGrid

All Superinterfaces:
  GridPositioning

All Known Subinterfaces:
  RectifiedGrid, ReferenceableGrid

    @Extension
    public interface RectifiableGrid

extends GridPositioning

Represents a general coordinate conversion algorithm to be applied to the grid. In the special case where the coordinate conversion is affine, see `RectifiedGrid`. This class defines the required `convertCoordinates` and `inverseConvertCoordinates` methods required by the `RectifiableGrid` interface and provides access to the `MathTransform` object associated with the algorithm. Children of this class need only supply the `Conversion` object (stored in the inherited `operation` attribute) to produce a functional coordinate conversion object.

Method Summary
`DirectPosition` | `convertCoordinates(GridCoordinates g)` Converts grid coordinates through an affine transform to a direct position.
`MathTransform` | `getGridToCRS()` This optional attribute is specified on the `GridGeometry` from the legacy OGC 01-004 specification.
`GridCoordinates` | `inverseConvertCoordinates(DirectPosition p)` Converts through an affine transform a direct position to the grid coordinates of the nearest grid point.

Methods inherited from interface GridPositioning
`getCoordinateReferenceSystem, getGrid, getInverseOperation, getOperation`

Method Detail

### convertCoordinates

    @Extension
    DirectPosition convertCoordinates(GridCoordinates g)
                                      throws TransformException

  Converts grid coordinates through an affine transform to a direct position. This is an adapter method for the `MathTransform#transform()` method. The `MathTransform` object used in the conversion is associated with the "conversion" and "operation" attributes.

  Throws:
    `TransformException`

### inverseConvertCoordinates

    @Extension
    GridCoordinates inverseConvertCoordinates(DirectPosition p)
                                              throws TransformException

  Converts through an affine transform a direct position to the grid coordinates of the nearest grid point. This is an adapter method for the `MathTransform#transform()` method. The `MathTransform` object used in the conversion is associated with the "inverseConversion" and "inverseOperation" attributes.

  Throws:
    `TransformException`

### getGridToCRS

    @Extension
    MathTransform getGridToCRS()

  This optional attribute is specified on the `GridGeometry` from the legacy OGC 01-004 specification. It is retained here because it allows the user access to a conversion object which yields non-integer results. This property is derived from the `MathTransform` object associated with the operation and conversion attributes, and is merely a convenience method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.